<?php
   //solicitamos archivo de conexion a mysql
   require_once('../../../conf/connection.php');
   //si an pulsado el boton de enviar
  $enviar=$_POST["enviar"];
  if(isset($enviar))
  {
	 //grupo de variables enviadas mediante metodo post desde el formulario
	  
	  $codigo=stripslashes($_POST["codigo"]);//codigo kit
	  $descrip=stripslashes($_POST["des"]); 
	  $familia=stripslashes($_POST["familia"]);
	  $stock=stripslashes($_POST["stock"]);
      $stock_minimo=stripslashes($_POST["stock_minimo"]);
	  $fecha=stripslashes($_POST["fecha"]);
	  
	  //detalles kit
	  
	  $codigo2=stripslashes($_POST["codigo2"]);
	  $codigo3=stripslashes($_POST["codigo3"]);
	  $codigo4=stripslashes($_POST["codigo4"]);
	  $codigo5=stripslashes($_POST["codigo5"]);
	  $codigo6=stripslashes($_POST["codigo6"]);
	  $codigo7=stripslashes($_POST["codigo7"]);
	  $codigo8=stripslashes($_POST["codigo8"]);
	  $codigo9=stripslashes($_POST["codigo9"]);
	  $codigo10=stripslashes($_POST["codigo10"]);
	  $codigo11=stripslashes($_POST["codigo11"]);
	  $codigo12=stripslashes($_POST["codigo12"]);
	  $codigo13=stripslashes($_POST["codigo13"]);
	  $codigo14=stripslashes($_POST["codigo14"]);
	  $codigo15=stripslashes($_POST["codigo15"]);
	  $codigo16=stripslashes($_POST["codigo16"]);
	  
	  //detalles venta sucursal n°1
	  $neto_venta=stripslashes($_POST["neto_venta_uno"]);
	  $iva_venta=stripslashes($_POST["iva_venta_uno"]);
      $total_venta=stripslashes($_POST["total_venta_uno"]);	  
	  
	  $descuento=stripslashes($_POST["descuento"]);
	  
	  $foto1=$_FILES["foto1"]["name"];
      $ruta1=$_FILES["foto1"]["tmp_name"];
      $destino1="img/".$foto1;
   
	  if($foto1==""){}else{copy($ruta1,$destino1);}
	  
	  $obs=stripslashes($_POST["obs"]);
	  
	   $tipo=7;
	   $obs="SALDO INICIAL";
	   $sucu=stripslashes($_POST["sucu"]);	  
	  
	
	  //comprobamos si la identidad personal de esta persona existe
	  //si existiera no haremos nada!. Mediante un query
	  $comprobar="select * from articulos where referencia=\"$codigo\"";
	  //Enviamos el query a Mysql mediante la funcion de PHP mysql_query()
	  $r_ide=mysql_query($comprobar,$conn) or die("Error en el query: ".mysql_error());
	  //Vemos si el query nos mando registros y cuantos mediante mysql_num_rows()
	  $nr_ide=mysql_num_rows($r_ide);
	    //Es decir si devolvio registros
		if($nr_ide<>0)
		{
			
			$kit="UPDATE kit SET codfamilia='$familia', referencia='$codigo', descripcion='$descrip', codigo2='$codigo2', codigo3='$codigo3',codigo4='$codigo4',codigo5='$codigo5',codigo6='$codigo6',codigo7='$codigo7',codigo8='$codigo8',
			codigo9='$codigo9',codigo10='$codigo10',codigo11='$codigo11',codigo12='$codigo12',codigo13='$codigo13',codigo14='$codigo14',codigo15='$codigo15',codigo16='$codigo16',sucu='$sucu' WHERE referencia='$codigo'";
			//enviamos el query mediante la funcion mysql_query()
			mysql_query($kit, $conn) or die("Error en el query en kit: ".mysql_error());
			
			
			//Construimos el query!
			$modificar="UPDATE articulos SET codfamilia='$familia', descripcion='$descrip',
			stock_minimo='$stock_minimo', fecha_alta='$fecha',identidad='$identidad',nombre='$nombre'
			,neto_compra='$neto_compra',iva_compra='$iva_compra',precio_compra='$total_compra',neto_tienda='$neto_venta',
			iva_tienda='$iva_venta', precio_tienda='$total_venta', neto_tienda_dos='$neto_venta_dos',
			iva_tienda_dos='$iva_venta_dos', precio_tienda_dos='$total_venta_dos' , des='$descuento',obs='$obs', foto1='$destino1' 
			WHERE referencia='$codigo'";
	
			//enviamos el query mediante la funcion mysql_query()
			mysql_query($modificar, $conn) or die("Error en el query en articulo: ".mysql_error());
			mysql_close($conn);
			?><script> alert("Registro Modificado con exito!"); window.close(); </script> <?
		}
  }
  //si no han pulsado el bonton enviar, suponemos que han cargado el archivo adicionar.php
  //y se mostrara el formulario! :)
  else
  {
	 ?><script> alert("Intento ilegal de llamar al SCRIPT!"); window.close(); </script> <?
	 
  }
?>